Return the user's domain

- « Win32Service\RightInfo::__construct

- Win32Service\RightInfo::getFullUsername »

- PHP Manual
- Win32Service\RightInfo
- Return the user's domain

# Win32Service\RightInfo::getDomain

(PECL win32service >=1.1.0)

Win32Service\RightInfo::getDomain — Return the user's domain

### Description

final public Win32Service\RightInfo::getDomain(): ?string

Return the user's domain.

### Parameters

This function has no parameters.

### Return Values

Return the domain name or `null` if no domain found (local account or user GUID resolve fail).

### See Also

- Win32Service\RightInfo::__construct() - Create a new RightInfo (not used)
- Win32Service\RightInfo::getRights() - Return the rights list
- Win32Service\RightInfo::isGrantAccess() - Return true if the RightInfo concern grants access to the resource
- Win32Service\RightInfo::isDenyAccess() - Return true if the RightInfo concerns deny access to the resource
- Win32Service\RightInfo::getFullUsername() - Return the domain and username
- Win32Service\RightInfo::getUsername() - Return the username